org.apache.hadoop.mapred.uploader

## Class FrameworkUploader

- java.lang.Object
- - org.apache.hadoop.mapred.uploader.FrameworkUploader

- All Implemented Interfaces:
    Runnable

      public class FrameworkUploader
      extends Object
      implements Runnable

  Upload a MapReduce framework tarball to HDFS. Usage: sudo -u mapred mapred frameworkuploader -fs hdfs://`hostname`:8020 -target /tmp/upload.tar.gz#mr-framework

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameworkUploader()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` Tool entry point.
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameworkUploader

          public FrameworkUploader()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### main

          public static void main(String[] args)
                           throws IOException

      Tool entry point.
      Parameters:
        `args` - arguments
      Throws:
        `IOException` - thrown on configuration errors

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.